Skip to content

Retrieves a paginated list of transactions based on the given query parameters.

Request

Security
ApiKey
Path
institutionIdstring, (uuid)required

The ID of the institution.

Body

The query parameters for filtering transactions.

takeinteger, (int32)
skipinteger, (int32)
sortPathstring or null
sortDirectionstring or null
txStatusstring, (int32)(TxStatus)
Enum:"New""Successful""Canceled""Failed""Retrying"
blockchainsstring, (int32)(Blockchains)
txActionsstring, (int32)(TransactionActions)
Enum:"TxTest""TxNative""TxAsset""IssueAsset""FreezeAsset""ClawbackAssets""OptIn""AuthOptIn""LockAccount""Stake"
searchTextstring or null
institutionIdstring or null, (uuid)
txIdstring or null
curl -i -X POST \
  'https://vault.nyala.de/api/Transaction/institutionId/{institutionId}' \
  -H 'Content-Type: application/json-patch+json' \
  -H 'X-API-KEY: YOUR_API_KEY_HERE' \
  -d '{
    "take": 0,
    "skip": 0,
    "sortPath": "string",
    "sortDirection": "string",
    "txStatus": "New",
    "blockchains": "string",
    "txActions": "TxTest",
    "searchText": "string",
    "institutionId": "cdae5c01-a629-4362-be56-52101ec22a49",
    "txId": "string"
  }'

Responses

OK

Bodyapplication/json
dataobject(TxDtoPaginatedListResponse)
errorMessageCodesArray of any or null
Example:null
Response
{ "data": { "count": 0, "result": [] }, "errorMessageCodes": null }